program testreal;
uses newfrontier;

var p:word;
var count:longint;

begin
 write('Allocating 100000 reals...');
 getmem32(p,100000*sizeof(real));  {allocate 100000 reals}
 if p<>0 then writeln('done') else
  begin
   writeln('failed');
   halt
  end;

 write('Clearing Memory...');
 for count:=0 to 99999 do
  writeMem32r(ptr48(p,count*sizeof(real)),0.0);
 writeln('done');

 write('Writing to array...');
 for count:=0 to 99999 do
  writemem32r(ptr48(p,count*sizeof(real)),count);  {p[temp]:=temp;}
 writeln('done');

 write('Checking values...');
 for count:=0 to 99999 do
  if readmem32r(ptr48(p,count*sizeof(real)))<>count then
   begin
    writeln('Values not correct');
    halt
   end;
 writeln('done');

 write('Freeing memory...');
 freemem32(p);                        {free the memory}
 writeln('done');

 writeln('Program completed successfully!');

end.