{Test program to allocate 100.000 longints, clear the memory, write values,
and free the memory.
Only runs in Protected Mode}

program New1;
uses newfrontier;
var p:word;
    temp:longint;
begin
 write('Allocating 100000 longints...');
 getmem32(p,100000*sizeof(longint));  {allocate 100000 longints}
 if p<>0 then writeln('done') else
  begin
   writeln('failed');
   halt
  end;

 write('Clearing memory...');
 FillLong32(ptr48(p,0),10000,0);      {clear the memory}
 writeln('done');

 write('Writing to array...');
 for temp:=0 to 99999 do
  writemem32l(ptr48(p,temp*sizeof(longint)),temp);  {p[temp]:=temp;}
 writeln('done');

 write('Checking values...');
 for temp:=0 to 99999 do
  if readmem32l(ptr48(p,temp*sizeof(longint)))<>temp then
   begin
    writeln('Values not correct');
    halt
   end;
 writeln('done');

 write('Freeing memory...');
 freemem32(p);                        {free the memory}
 writeln('done');

 writeln('Program completed successfully!');
end.