{Test program to show how to save and load files greater than 64K.
Only runs in protected mode}
program new2;
uses newfrontier;
const tempfile='temp.foo';
var p:word;
    temp:longint;
    f:file;
begin
 write('Allocating 1 megabyte of memory...');
 getmem32(p,1048576);               {Allocate 1 megabyte}
 if p<>0 then writeln('done') else
  begin
   writeln('failed');
   halt
  end;

 write('Clearing memory...');
 FillChar32(ptr48(p,0),1048576,0);  {clear the memory}
 writeln('done');

 write('Saving memory to file: ',tempfile,'...');
 if Bsave32('temp.foo',ptr48(p,0),1048576) then writeln('done')
  else writeln('failed');

 write('Reading memory from file: ',tempfile,'...');
 if BLoad32('temp.foo',ptr48(p,0),1048576) then writeln('done')
  else writeln('failed');

 write('Deleting: ',tempfile,'...');
 assign(f,tempfile);
 erase(f);                          {erase the file}
 writeln('done');

 write('Freeing allocated memory...');
 freemem32(p);                      {free memory}
 writeln('done');

 writeln('Program completed successfully!');
end.