{Test program to allocate all available memory
 Due to the way certain OSs (namely Win95 or NT) implement virtual memory,
 it is actually possible to have more memory listed as available than is
 available.  This program will reduce the size of the memory it tries to
 allocate by 100K at a time until it actually allocates the memory.
 Only runs in Protected Mode}
program new3;
uses newfrontier;
var p:word;
    memsize:longint;
    temp:longint;
begin
 memsize:=maxavail32;
 writeln('Memory available: ',memsize);

 repeat
  write('Allocating ',memsize,' bytes...');
  getmem32(p,memsize);
  if p<>0 then writeln('done') else begin
   writeln('failed');
   dec(memsize,1024*100);
  end;
 until (memsize<200000) or (p<>0);
 if p=0 then
  begin
   writeln('memory allocation failed');
   halt
  end;
 write('Clearing memory...');
 fillchar32(ptr48(p,0),memsize,0);
 writeln('done');

 write('Freeing memory...');
 freemem32(p);
 writeln('done');
end.